
//Title:       Apletti
//Version:
//Copyright:   Copyright (c) 1998
//Author:      Sami Krn
//Company:     HTOL
//Description: do-While Apletti

package applett;


import java.applet.*;
import java.awt.*;
import java.awt.event.*;



public class whileApplett extends Applet {

  public int i=0;
  public int value_a=0;
  public int value_b=0;
  public int choiceNumber=0;
  boolean dirtyArea = true;
  boolean silmukkaEhto = true;



  // Esimerkki lhdekoodi riveittin

  String textControlRivi1=" #include<stdio.h>";
  String textControlRivi2=" void main(void)";
  String textControlRivi3=" {";
  String textControlRivi4="   int a = 0, b = 0;";
  String textControlRivi5="   do {";
  String textControlRivi6="      printf(\"Syt 1. luku:\");";
  String textControlRivi7="      scanf(\"%d\", &a);";
  String textControlRivi8="      printf(\"Syt 2. luku:\");";
  String textControlRivi9="      scanf(\"%d\", &b);";
  String textControlRivi10="   }while(a == b);";
  String textControlRivi11=" }";

  // Ehtorivin tekstit

  String textControlEhto1="   }while(a == b);";
  String textControlEhto2="   }while(a != b);";
  String textControlEhto3="   }while(a  > b);";
  String textControlEhto4="   }while(a  < b);";
  String textControlEhto5="   }while(a <= b);";
  String textControlEhto6="   }while(a >= b);";

  // Kommentti tekstit

  String kommentti1 = "Voit muuttaa ehtoja nyt, tai myhem-\n"+
                      "min (silloin kun ohjelmaa ei ajeta).\n"+
                      "Aloita animaation ajaminen askeleit-\n"+
                      "tain painamalla nppint \"Run\".";

  String kommentti2 = "Aloitetaan pohjelman suorittami-\n"+
                      "nen.";

  String kommentti3 = "Alustetaan kokonaislukumuuttujat a\n"+
                      "ja b. Siirrytn seuraavaksi do-while\n"+
                      "kontrollirakenteen sislle, joka suo-\n"+
                      "ritetaan vhintn kerran.";

  String kommentti4 = "Tulostetaan teksti \"Syt 1. luku:\"\n"+
                      "nytlle, jonka jlkeen ohjelman\n"+
                      "kontrolli siirtyy nppimistlle. Ts-\n"+
                      "s vaiheessa voit muuttaa a:n arvoa\n"+
                      "alla olevasta valintalistasta.";

  String kommentti5 = "Sijoitetaan sytetty luku muuttujan a\n"+
                      "varaamaan muistipaikkaan.";

  String kommentti6 = "Tulostetaan teksti \"Syt 2. luku:\"\n"+
                      "nytlle, jonka jlkeen ohjelman\n"+
                      "kontrolli siirtyy nppimistlle. Ts-\n"+
                      "s vaiheessa voit muuttaa b:n arvoa\n"+
                      "alla olevasta valintalistasta.";

  String kommentti7 = "Sijoitetaan sytetty luku muuttujan b\n"+
                      "varaamaan muistipaikkaan.\n";

  String kommentti8 = "Tutkitaan tyttyyk ehto?: TRUE"+
                      "\nAsettamasi ehto toteutuu, joten\n"+
                      "palataan silmukkaan.";

  String kommentti9 = "Tutkitaan tyttyyk ehto?: FALSE"+
                      "\nAsettamasi ehto ei toteudu, joten\n"+
                      "poistutaan silmukasta.";

  String kommentti10= "Ojelmansuoritus pttyi, nyt voit\n"+
                      "muuttaa ehtoja.";

  String kommentti11= " == YHTSUURUUS";
  String kommentti12= " != ERISUURUUS";
  String kommentti13= "  > SUUREMPI KUIN";
  String kommentti14= "  < PIENEMPI KUIN";
  String kommentti15= " <= PIENEMPI TAI YHTSUURI";
  String kommentti16= " >= SUUREMPI TAI YHTSUURI";

  // Viestit

  String message1=" <= Syt 1. luku:";
  String message2="  Luetaan 1. luku:";
  String message3=" <= Syt 2. luku:";
  String message4="  Luetaan 2. luku:";
  String message5=" <= Muuta ehtoja:";

  // Fontit

  Font timesNewRoman = new Font("TimesNewRoman", Font.BOLD,14);
  Font dialog = new Font("Dialog", Font.BOLD, 12);
  Font arial = new Font("Arial", Font.PLAIN, 14);

  // Napit

  Button buttonRun = new Button();
  Button buttonStop = new Button();

  // Kommentti-ikkuna

  TextArea textAreaCommentWindow =new TextArea();

  // Combot

  Choice choiceControlEhdot =new Choice();
  Choice choiceControlMuuttujaA =new Choice();
  Choice choiceControlMuuttujaB =new Choice();

  // Alustetaan appletti

  public void init()
  {
    resize(570,350);
    try {
    jbInit();
    }
    catch (Exception e) {
    e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {

    buttonRun.setLabel("Run");
    /*
    buttonRun.addActionListener(new java.awt.event.ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        buttonRun_actionPerformed(e);
      }
    });
    */
    buttonStop.setLabel("Stop");
    /*
    buttonStop.addActionListener(new java.awt.event.ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        buttonStop_actionPerformed(e);
      }
    });
    */
    add(buttonRun);
    add(buttonStop);

    add(textAreaCommentWindow);
    textAreaCommentWindow.setFont(timesNewRoman);
    textAreaCommentWindow.setBackground(Color.white);
    textAreaCommentWindow.setText(kommentti1);
//    textAreaCommentWindow.setEnabled(false);
    textAreaCommentWindow.disable();

    // Liitetn combo-boxit

    add(choiceControlEhdot);
    choiceControlEhdot.setBackground(Color.white);
    choiceControlEhdot.setFont(arial);
    /*
    choiceControlEhdot.addItemListener(new java.awt.event.ItemListener()
    {
      public void itemStateChanged(ItemEvent e)
      {
        choiceControlEhdot_itemStateChanged(e);
      }
    });
    */
    add(choiceControlMuuttujaA);
    choiceControlMuuttujaA.setBackground(Color.white);
    choiceControlMuuttujaA.setFont(arial);
    /*
    choiceControlMuuttujaA.addItemListener(new java.awt.event.ItemListener()
    {
      public void itemStateChanged(ItemEvent e)
      {
        choiceControlMuuttujaA_itemStateChanged(e);
      }
    });
    */
    add(choiceControlMuuttujaB);
    choiceControlMuuttujaB.setBackground(Color.white);
    choiceControlMuuttujaB.setFont(arial);
    /*
    choiceControlMuuttujaB.addItemListener(new java.awt.event.ItemListener()
    {
      public void itemStateChanged(ItemEvent e)
      {
        choiceControlMuuttujaB_itemStateChanged(e);
      }
    });
    */
    choiceControlEhdot.addItem(" a == b");
    choiceControlEhdot.addItem(" a != b");
    choiceControlEhdot.addItem(" a  > b");
    choiceControlEhdot.addItem(" a  < b");
    choiceControlEhdot.addItem(" a <= b");
    choiceControlEhdot.addItem(" a >= b");

    choiceControlMuuttujaA.addItem("-5");
    choiceControlMuuttujaA.addItem("-4");
    choiceControlMuuttujaA.addItem("-3");
    choiceControlMuuttujaA.addItem("-2");
    choiceControlMuuttujaA.addItem("-1");
    choiceControlMuuttujaA.addItem(" 0");
    choiceControlMuuttujaA.addItem(" 1");
    choiceControlMuuttujaA.addItem(" 2");
    choiceControlMuuttujaA.addItem(" 3");
    choiceControlMuuttujaA.addItem(" 4");
    choiceControlMuuttujaA.addItem(" 5");

    choiceControlMuuttujaB.addItem("-5");
    choiceControlMuuttujaB.addItem("-4");
    choiceControlMuuttujaB.addItem("-3");
    choiceControlMuuttujaB.addItem("-2");
    choiceControlMuuttujaB.addItem("-1");
    choiceControlMuuttujaB.addItem(" 0");
    choiceControlMuuttujaB.addItem(" 1");
    choiceControlMuuttujaB.addItem(" 2");
    choiceControlMuuttujaB.addItem(" 3");
    choiceControlMuuttujaB.addItem(" 4");
    choiceControlMuuttujaB.addItem(" 5");

    // Esivalinnat combo-boxeihin

    choiceControlMuuttujaA.select(" 0");
    setReadOnly(choiceControlMuuttujaA);
    choiceControlMuuttujaB.select(" 0");
    setReadOnly(choiceControlMuuttujaB);
    choiceControlEhdot.select(" a == b");
    choiceControlEhdot.isEnabled();

  }

  public void paint(Graphics g) {

    this.setBackground(Color.lightGray);
//    buttonRun.setLocation(200,155);
    buttonRun.move(260,155);
//    buttonStop.setLocation(240,155);
    buttonStop.move(300,155);

//    choiceControlMuuttujaA.setBounds(200,200,40,18);
    choiceControlMuuttujaA.reshape(260,200,40,18);
//    choiceControlMuuttujaB.setBounds(200,235,40,18);
    choiceControlMuuttujaB.reshape(260,235,40,18);
//    choiceControlEhdot.setBounds(200,280,68,18);
    choiceControlEhdot.reshape(260,280,78,18);

//    textAreaCommentWindow.setBounds(200,20,280,120);
    textAreaCommentWindow.reshape(260,20,290,120);

    choiceControlMuuttujaA.setBackground(Color.white);
    choiceControlMuuttujaB.setBackground(Color.white);

    g.setFont(dialog);

    g.setColor(Color.yellow);
    g.fillRect(348,280,130,26);
    g.setColor(Color.red);
    g.drawString(message5,350,298);

    g.setColor(Color.white);
    g.fillRect(15,20,220,288);

    g.setColor(Color.black);
    g.drawString(textControlRivi1,18,52);
    g.drawString(textControlRivi2,18,88);
    g.drawString(textControlRivi3,18,106);
    g.drawString(textControlRivi4,18,142);
    g.drawString(textControlRivi5,18,178);
    g.drawString(textControlRivi6,18,196);
    g.drawString(textControlRivi7,18,214);
    g.drawString(textControlRivi8,18,232);
    g.drawString(textControlRivi9,18,250);
    g.drawString(textControlRivi10,18,268);
    g.drawString(textControlRivi11,18,286);


  }

  //Start the applet

  public void start() {
  }

  //Stop the applet

  public void stop() {
  }

  //Destroy the applet

  public void destroy() {
  }

  public void cleanMessageArea1()
  {
    Graphics g = getGraphics();
    g.setColor(Color.lightGray);
    g.fillRect(310,200,130,26);
  }

  public void cleanMessageArea2()
  {
    Graphics g = getGraphics();
    g.setColor(Color.lightGray);
    g.fillRect(310,235,130,26);
  }

  public void cleanMessageArea3()
  {
    Graphics g = getGraphics();
    g.setColor(Color.lightGray);
    g.fillRect(348,280,130,26);
    dirtyArea=false;
  }

  public void defaultSettings ()
  {
    Graphics g = getGraphics();

    g.setColor(Color.white);
    g.fillRect(15,20,220,288);

    g.setColor(Color.black);
    g.setFont(dialog);
    g.drawString(textControlRivi1,18,52);
    g.drawString(textControlRivi2,18,88);
    g.drawString(textControlRivi3,18,106);
    g.drawString(textControlRivi4,18,142);
    g.drawString(textControlRivi5,18,178);
    g.drawString(textControlRivi6,18,196);
    g.drawString(textControlRivi7,18,214);
    g.drawString(textControlRivi8,18,232);
    g.drawString(textControlRivi9,18,250);
    g.drawString(textControlRivi10,18,268);
    g.drawString(textControlRivi11,18,286);
  }

  public void resetCommentWindow ()
  {
    textAreaCommentWindow.setText("");
  }

  // Kytn esto funktio

  public void setReadOnly(Object arg)
  {
    if(arg == choiceControlMuuttujaA)
    {
//      choiceControlMuuttujaA.setEnabled(false);
      choiceControlMuuttujaA.disable();
    }
    else if(arg == choiceControlMuuttujaB)
    {
//      choiceControlMuuttujaB.setEnabled(false);
      choiceControlMuuttujaB.disable();
    }
    else if(arg == choiceControlEhdot)
    {
//      choiceControlEhdot.setEnabled(false);
      choiceControlEhdot.disable();
    }
  }

  // Kytn sallinta funktio

  public void setEditable(Object arg)
  {
    if(arg == choiceControlMuuttujaA)
    {
//      choiceControlMuuttujaA.setEnabled(true);
      choiceControlMuuttujaA.enable();
    }
    else if(arg == choiceControlMuuttujaB)
    {
//      choiceControlMuuttujaB.setEnabled(true);
      choiceControlMuuttujaB.enable();
    }
    else if(arg == choiceControlEhdot)
    {
//      choiceControlEhdot.setEnabled(true);
      choiceControlEhdot.enable();
    }
  }

  //TAPAHTUMAT********************

  public boolean action(Event evt, Object arg)
  {
    if (evt.target instanceof Button)
    {
      if("Run".equals(arg))
      {
        setReadOnly(choiceControlEhdot);
        defaultSettings();
        i++;

        if(dirtyArea == true)
        {
          cleanMessageArea3();
        }

        Graphics g = getGraphics();
        g.setFont(dialog);
        switch (i)
        {
          case 1:
            textAreaCommentWindow.setText(kommentti2);
            g.setColor(Color.yellow);
            g.fillRect(15,74,220,18);
            g.setColor(Color.red);
            g.drawString(textControlRivi2,18,88);
            break;
          case 2:
            textAreaCommentWindow.setText(kommentti3);
            g.setColor(Color.yellow);
            g.fillRect(15,128,220,18);
            g.setColor(Color.red);
            g.drawString(textControlRivi4,18,142);
            break;
          case 3:
            textAreaCommentWindow.setText(kommentti4);
            g.setColor(Color.yellow);
            g.fillRect(15,182,220,18);
            g.fillRect(310,200,130,26);
            g.setColor(Color.red);
            g.drawString(textControlRivi6,18,196);
            g.drawString(message1,312,218);
            setEditable(choiceControlMuuttujaA);
            break;
          case 4:
            setReadOnly(choiceControlMuuttujaA);
            textAreaCommentWindow.setText(kommentti5);
            cleanMessageArea1();
            g.setColor(Color.yellow);
            g.fillRect(15,200,220,18);
            g.fillRect(310,200,130,26);
            g.setColor(Color.red);
            g.drawString(textControlRivi7,18,214);
            g.drawString(message2,312,218);
            break;
          case 5:
            textAreaCommentWindow.setText(kommentti6);
            cleanMessageArea1();
            g.setColor(Color.yellow);
            g.fillRect(15,218,220,18);
            g.fillRect(310,235,130,26);
            g.setColor(Color.red);
            g.drawString(textControlRivi8,18,232);
            g.drawString(message3,312,253);
            setEditable(choiceControlMuuttujaB);
            break;
          case 6:
            setReadOnly(choiceControlMuuttujaB);
            textAreaCommentWindow.setText(kommentti7);
            cleanMessageArea2();
            g.setColor(Color.yellow);
            g.fillRect(15,236,220,18);
            g.fillRect(310,235,130,26);
            g.setColor(Color.red);
            g.drawString(textControlRivi9,18,250);
            g.drawString(message4,312,253);
            break;
          case 7:
            cleanMessageArea2();
            g.setColor(Color.yellow);
            g.fillRect(15,254,220,18);
            g.setColor(Color.red);
            g.drawString(textControlRivi10,18,268);

            switch (choiceNumber)
            {
              case 0:
                if (value_a == value_b){
                  silmukkaEhto = true;
                  i = 2;
                }
                else{
                  silmukkaEhto = false;
                  break;
                }
                break;
              case 1:
                if (value_a != value_b){
                  silmukkaEhto = true;
                  i = 2;
                }
                else{
                  silmukkaEhto = false;
                  break;
                }
                break;
              case 2:
                if (value_a > value_b){
                  silmukkaEhto = true;
                  i = 2;
                }
                else{
                  silmukkaEhto = false;
                  break;
                }
                break;
              case 3:
                if (value_a < value_b){
                  silmukkaEhto = true;
                  i = 2;
                }
                else{
                  silmukkaEhto = false;
                  break;
                }
                break;
              case 4:
                if (value_a <= value_b){
                  silmukkaEhto = true;
                  i = 2;
                }
                else{
                  silmukkaEhto = false;
                  break;
                }
                break;
              case 5:
                if (value_a >= value_b){
                  silmukkaEhto = true;
                  i = 2;
                }
                else{
                  silmukkaEhto = false;
                  break;
                }
                break;
              default:
                break;
            }

            if (silmukkaEhto == true){
              textAreaCommentWindow.setText(kommentti8);
            }
            else{
              textAreaCommentWindow.setText(kommentti9);
            }
            break;
          case 8:
            textAreaCommentWindow.setText(kommentti10);
            g.setColor(Color.yellow);
            g.fillRect(15,272,220,18);
            g.fillRect(348,280,130,26);
            g.setColor(Color.red);
            g.drawString(textControlRivi11,18,286);
            g.drawString(message5,350,298);
            dirtyArea = true;

            setEditable(choiceControlMuuttujaA);
            choiceControlMuuttujaA.select(" 0");
            setReadOnly(choiceControlMuuttujaA);
            setEditable(choiceControlMuuttujaB);
            choiceControlMuuttujaB.select(" 0");
            setReadOnly(choiceControlMuuttujaB);
            setEditable(choiceControlEhdot);
            value_a = 0;
            value_b = 0;
            i=0;
            break;
          default:
            break;
        }
      }
      else if("Stop".equals(arg))
      {
        Graphics g = getGraphics();
        g.setFont(dialog);
        g.setColor(Color.yellow);
        g.fillRect(348,280,130,26);
        g.setColor(Color.red);
        g.drawString(message5,350,298);
        dirtyArea = true;

        setEditable(choiceControlMuuttujaA);
        choiceControlMuuttujaA.select(" 0");
        setReadOnly(choiceControlMuuttujaA);
        setEditable(choiceControlMuuttujaB);
        choiceControlMuuttujaB.select(" 0");
        setReadOnly(choiceControlMuuttujaB);
        setEditable(choiceControlEhdot);
        choiceControlEhdot.select(" a == b");
        textControlRivi10 = textControlEhto1;
        textAreaCommentWindow.setText(kommentti1);
        defaultSettings();
        cleanMessageArea1();
        cleanMessageArea2();
        i = 0;
        value_a = 0;
        value_b = 0;
        choiceNumber = 0;
      }
    }

    // Combojen tapahtumat

    else if(evt.target instanceof Choice)
    {
        if(evt.target == choiceControlEhdot)
        {
          choiceNumber=choiceControlEhdot.getSelectedIndex();

          switch (choiceNumber)
          {
            case 0:
              textControlRivi10 = textControlEhto1;
              textAreaCommentWindow.setText(kommentti11);
              defaultSettings();
              break;
            case 1:
              textControlRivi10 = textControlEhto2;
              textAreaCommentWindow.setText(kommentti12);
              defaultSettings();
              break;
            case 2:
              textControlRivi10 = textControlEhto3;
              textAreaCommentWindow.setText(kommentti13);
              defaultSettings();
              break;
            case 3:
              textControlRivi10 = textControlEhto4;
              textAreaCommentWindow.setText(kommentti14);
              defaultSettings();
              break;
            case 4:
              textControlRivi10 = textControlEhto5;
              textAreaCommentWindow.setText(kommentti15);
              defaultSettings();
              break;
            case 5:
              textControlRivi10 = textControlEhto6;
              textAreaCommentWindow.setText(kommentti16);
              defaultSettings();
              break;
            default:
              break;
          }// End of switch
        }// End of if

        else if(evt.target == choiceControlMuuttujaA)
        {
          value_a=choiceControlMuuttujaA.getSelectedIndex();
          value_a -= 5;
          textAreaCommentWindow.setText("Muuttuja a = "+value_a);
        }

        else if(evt.target == choiceControlMuuttujaB)
        {
          value_b=choiceControlMuuttujaB.getSelectedIndex();
          value_b -= 5;
          textAreaCommentWindow.setText("Muuttuja b = "+value_b);
        }
    }// End of else if evt
    return true;
  }


  public boolean mouseMove(Event evt, int x, int y)
  {
    showStatus("X: "+x+"  Y: "+y);
    return true;
  }



/*
  void buttonRun_actionPerformed(ActionEvent e)
  {
    setReadOnly(choiceControlEhdot);
    defaultSettings();
    i++;

    if(dirtyArea == true)
    {
      cleanMessageArea3();
    }

    Graphics g = getGraphics();
    g.setFont(dialog);

    switch (i)
    {
      case 1:
        textAreaCommentWindow.setText(kommentti2);
        g.setColor(Color.yellow);
        g.fillRect(15,74,170,18);
        g.setColor(Color.red);
        g.drawString(textControlRivi2,18,88);
        break;
      case 2:
        textAreaCommentWindow.setText(kommentti3);
        g.setColor(Color.yellow);
        g.fillRect(15,128,170,18);
        g.setColor(Color.red);
        g.drawString(textControlRivi4,18,142);
        break;
      case 3:
        textAreaCommentWindow.setText(kommentti4);
        g.setColor(Color.yellow);
        g.fillRect(15,182,170,18);
        g.fillRect(250,200,120,26);
        g.setColor(Color.red);
        g.drawString(textControlRivi6,18,196);
        g.drawString(message1,252,218);
        setEditable(choiceControlMuuttujaA);
        break;
      case 4:
        setReadOnly(choiceControlMuuttujaA);
        textAreaCommentWindow.setText(kommentti5);
        cleanMessageArea1();
        g.setColor(Color.yellow);
        g.fillRect(15,200,170,18);
        g.fillRect(250,200,120,26);
        g.setColor(Color.red);
        g.drawString(textControlRivi7,18,214);
        g.drawString(message2,252,218);
        break;
      case 5:
        textAreaCommentWindow.setText(kommentti6);
        cleanMessageArea1();
        g.setColor(Color.yellow);
        g.fillRect(15,218,170,18);
        g.fillRect(250,235,120,26);
        g.setColor(Color.red);
        g.drawString(textControlRivi8,18,232);
        g.drawString(message3,252,253);
        setEditable(choiceControlMuuttujaB);
        break;
      case 6:
        setReadOnly(choiceControlMuuttujaB);
        textAreaCommentWindow.setText(kommentti7);
        cleanMessageArea2();
        g.setColor(Color.yellow);
        g.fillRect(15,236,170,18);
        g.fillRect(250,235,120,26);
        g.setColor(Color.red);
        g.drawString(textControlRivi9,18,250);
        g.drawString(message4,252,253);
        break;
      case 7:
        cleanMessageArea2();
        g.setColor(Color.yellow);
        g.fillRect(15,254,170,18);
        g.setColor(Color.red);
        g.drawString(textControlRivi10,18,268);

        switch (choiceNumber)
        {
          case 0:
            if (value_a == value_b){
              silmukkaEhto = true;
              break;
            }
            else{
              i = 2;
              silmukkaEhto = false;
            }
            break;
          case 1:
            if (value_a != value_b){
              silmukkaEhto = true;
              break;
            }
            else{
              i = 2;
              silmukkaEhto = false;
            }
            break;
          case 2:
            if (value_a > value_b){
              silmukkaEhto = true;
              break;
            }
            else{
              i = 2;
              silmukkaEhto = false;
            }
            break;
          case 3:
            if (value_a < value_b){
              silmukkaEhto = true;
              break;
            }
            else{
              i = 2;
              silmukkaEhto = false;
            }
            break;
          case 4:
            if (value_a <= value_b){
              silmukkaEhto = true;
              break;
            }
            else{
              i = 2;
              silmukkaEhto = false;
            }
            break;
          case 5:
            if (value_a >= value_b){
              silmukkaEhto = true;
              break;
            }
            else{
              i = 2;
              silmukkaEhto = false;
            }
            break;
          default:
            break;
        }

        if (silmukkaEhto == false){
          textAreaCommentWindow.setText(kommentti8);
        }
        else{
          textAreaCommentWindow.setText(kommentti9);
        }
        break;
      case 8:
        textAreaCommentWindow.setText(kommentti10);
        g.setColor(Color.yellow);
        g.fillRect(15,272,170,18);
        g.fillRect(278,280,120,26);
        g.setColor(Color.red);
        g.drawString(textControlRivi11,18,286);
        g.drawString(message5,280,298);
        dirtyArea = true;

        setEditable(choiceControlMuuttujaA);
        choiceControlMuuttujaA.select(" 0");
        setReadOnly(choiceControlMuuttujaA);
        setEditable(choiceControlMuuttujaB);
        choiceControlMuuttujaB.select(" 0");
        setReadOnly(choiceControlMuuttujaB);
        setEditable(choiceControlEhdot);
        value_a = 0;
        value_b = 0;
        i=0;
        break;
      default:
        break;
    }
  }

  void buttonStop_actionPerformed(ActionEvent e)
  {
    Graphics g = getGraphics();
    g.setFont(dialog);
    g.setColor(Color.yellow);
    g.fillRect(278,280,120,26);
    g.setColor(Color.red);
    g.drawString(message5,280,298);
    dirtyArea = true;

    setEditable(choiceControlMuuttujaA);
    choiceControlMuuttujaA.select(" 0");
    setReadOnly(choiceControlMuuttujaA);
    setEditable(choiceControlMuuttujaB);
    choiceControlMuuttujaB.select(" 0");
    setReadOnly(choiceControlMuuttujaB);
    setEditable(choiceControlEhdot);
    choiceControlEhdot.select(" a == b");
    textControlRivi10 = textControlEhto1;
    textAreaCommentWindow.setText(kommentti1);
    defaultSettings();
    cleanMessageArea1();
    cleanMessageArea2();
    i = 0;
    value_a = 0;
    value_b = 0;
    choiceNumber = 0;
  }

  void choiceControlEhdot_itemStateChanged(ItemEvent e)
  {
    choiceNumber=choiceControlEhdot.getSelectedIndex();

    switch (choiceNumber)
    {
      case 0:
        textControlRivi10 = textControlEhto1;
        textAreaCommentWindow.setText(kommentti11);
        break;
      case 1:
        textControlRivi10 = textControlEhto2;
        textAreaCommentWindow.setText(kommentti12);
        break;
      case 2:
        textControlRivi10 = textControlEhto3;
        textAreaCommentWindow.setText(kommentti13);
        break;
      case 3:
        textControlRivi10 = textControlEhto4;
        textAreaCommentWindow.setText(kommentti14);
        break;
      case 4:
        textControlRivi10 = textControlEhto5;
        textAreaCommentWindow.setText(kommentti15);
        break;
      case 5:
        textControlRivi10 = textControlEhto6;
        textAreaCommentWindow.setText(kommentti16);
        break;
      default:
        break;
    }// End of switch
  }

  void choiceControlMuuttujaA_itemStateChanged(ItemEvent e)
  {
    value_a=choiceControlMuuttujaA.getSelectedIndex();
    value_a -= 5;
    textAreaCommentWindow.setText("Muuttuja a = "+value_a);
  }

  void choiceControlMuuttujaB_itemStateChanged(ItemEvent e)
  {
    value_b=choiceControlMuuttujaB.getSelectedIndex();
    value_b -= 5;
    textAreaCommentWindow.setText("Muuttuja b = "+value_b);
  }
  */
}

